---
title: GitLab with Git Basics Training
suppress_header: true
description: "GitLab with Git Basics Training"
extra_css:
  - services.css
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 GitLab Education

.wrapper
  .page-container.container
    = partial "includes/services/detail-tile", locals: { id: "training_sessions_basics" }
    .row
      .col-md-12
        %h2 Course Syllabus
        %h3 Day 1: Part 1
        .row
          .col-md-8
            %table
              %thead
                %tr
                  %th Schedule
                  %th Topic
                  %th Overview
              %tbody
                %tr
                  %td 9:00 - 10:00a
                  %td GitLab Overview
                  %td 
                    %ul
                      %li What is GitLab?
                      %li The Strategic Imperative
                      %li Concurrent DevOps
                      %li GitLab Flow
                      %li GitLab Recommended Process
                      %li GitLab WorkFlow Components
                      %li <strong>Demo Exercises</strong>: GitLab Features
                %tr
                  %td 10:00 - 10:30a
                  %td GitLab Components and Navigation
                  %td 
                    %ul
                      %li GitLab Organization
                      %li GitLab Epics
                      %li Issue: The Starting Point for your workflow
                      %li Issue Organization
                      %li GitLab Workflow Example
                      %li <strong>Demo Exercises</strong>: GitLab Navigation
                      %li <strong>Hands On Labs</strong>: Create a Project & Issue
                %tr
                  %td 10:45a - 12:00p
                  %td Git Basics
                  %td 
                    %ul
                      %li What is Git?
                      %li Git Key Terms
                      %li Why Git is so popular
                      %li Centralized vs. Distributed
                      %li Basic Git workflow within GitLab
                      %li Common Commands
                      %li <strong>Demo Exercises</strong>: Working Locally with Git
                      %li <strong>Hands On Labs</strong>: Working Locally with Git
      .col-md-12
        %h3 Day 2: Part 2
        .row
          .col-md-8
            %table
              %thead
                %tr
                  %th Schedule
                  %th Topic
                  %th Overview
              %tbody
                %tr
                  %td 9:00 - 10:30a
                  %td Basic Code Creation in GitLab
                  %td 
                    %ul
                      %li Code Review- Typical Workflow
                      %li Code Review Workflow- GitLab tools to use
                      %li Additional Tools for Code Review & Collaboration
                      %li <strong>Demo Exercises</strong>: Merge Request in GitLab
                      %li <strong>Demo Exercises</strong>: Assigning, Reviewing, and Approving in GitLab
                      %li <strong>Demo Exercises</strong>: Additional Tools for working with code
                      %li <strong>Hands On Labs</strong>: Code Creation and Review
                %tr
                  %td 10:45a - 12:00p
                  %td GitLab's CI/CD Functions
                  %td 
                    %ul
                      %li What is CI/CD?
                      %li CI/CD Advantages
                      %li Concurrent DevOps lifecycle
                      %li CI/CD Features in GitLab
                      %li CI/CD Automated tasks
                      %li Key Ingredients
                      %li What is Auto DevOps?
                      %li Anatomy of a CI/CD Pipeline
                      %li <strong>Demo Exercises</strong>: CI/CD Examples
                      %li <strong>Demo Exercises</strong>: Auto DevOps and Interactive Web Terminal
                      %li <strong>Hands on Labs</strong>: CI/CD Pipelines
                      %li <strong>Hands On Labs</strong>: Interactive Web Terminal
                %tr
                  %td 
                  %td GitLab's Package and Release Features
                  %td 
                    %ul
                      %li What are Package and Container Registries?
                      %li Release Features in GitLab
                      %li <strong>Demo Exercises</strong>: Release Stage Features
                      %li <strong>Hands On Labs</strong>: How to use CI/CD in the Release stage
                      %li <strong>Hands On Labs</strong>: Accessing Scanning Labs
        = partial "includes/services/requirements", locals: { id: "training_sessions_basics" }
        = partial "includes/services/pricing", locals: { id: "training_sessions_basics" }
        


